Skip to main content

Update Resident: Entrata

PUThttps://api.propexo.com/v1/residents/entrata/:id
Method
customers/updateCustomers
leads/updateLeads

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The Propexo unique identifier for the resident

Request​

This endpoint expects an object.

    first_namestring

    The first name of the resident. This value maps to the firstName property of the Customer object

    middle_namestring

    The middle name of the resident. This value maps to the middleName property of the Customer object

    last_namestring

    The last name of the resident. This value maps to the lastName property of the Customer object

    email_1string<email>

    The primary email address for the resident. This value maps to the email property of the Customer object

    date_of_birthstring<date-time>

    The date of birth of the resident. This value maps to the birthDate property of the Customer object.

    address_1string

    The first address line associated with the resident

    address_2string

    The second address line associated with the resident

    citystring

    The city associated with the resident

    statestring

    The state associated with the resident

    zipstring

    The zip code associated with the resident

    countrystring

    The country associated with the resident

    phone_1string

    The primary phone number for the resident.

    events object[]deprecated

    DEPRECATED: Please use /events endpoints to write events. Array of events associated with this resident

  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired

    The PMS id for the event type.

    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

    idstring

    The Propexo unique identifier for the event. Only required if attempting to update an existing event.

  • ]
  • custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    idstringrequired

    The Propexo unique identifier for the resident

    first_namestring

    The first name of the resident. This value maps to the firstName property of the Customer object

    middle_namestring

    The middle name of the resident. This value maps to the middleName property of the Customer object

    last_namestring

    The last name of the resident. This value maps to the lastName property of the Customer object

    email_1string<email>

    The primary email address for the resident. This value maps to the email property of the Customer object

    date_of_birthstring<date-time>

    The date of birth of the resident. This value maps to the birthDate property of the Customer object.

    address_1string

    The first address line associated with the resident

    address_2string

    The second address line associated with the resident

    citystring

    The city associated with the resident

    statestring

    The state associated with the resident

    zipstring

    The zip code associated with the resident

    countrystring

    The country associated with the resident

    phone_1string

    The primary phone number for the resident.

    events object[]
  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired
    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

    idstring

    The Propexo unique identifier for the event. Only required if attempting to update an existing event.

  • ]
  • custom_data objectdeprecated
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/entrata/:id
curl -X PUT https://api.propexo.com/v1/residents/entrata/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"phone_1": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"phone_1": "string",
"events": [
{
"unit_id": "string",
"x_type_id": "string",
"x_leasing_agent_id": "string",
"x_sub_type_id": "string",
"x_result_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z",
"appointment_datetime": "2024-07-29T15:51:28.071Z",
"time_from": "string",
"time_to": "string",
"notes": "string",
"title": "string",
"reasons_for_event": "string",
"id": "string"
}
]
}
}